#version 430 core
/*
* Copyright 2019 Vienna University of Technology.
* Institute of Computer Graphics and Algorithms.
* This file is part of the ECG Lab Framework and must not be redistributed.
*/

// vertex position
layout (location = 0) in vec3 position;
// texture coordinate
layout (location = 1) in vec2 aTex;

out vec2 TexCoord;
out vec4 position_vert; 

void main()
{
  
    gl_Position = vec4(position, 1.0);
    // pass texture coordinate though
    TexCoord = aTex;

    position_vert = vec4(position, 1.0);
}